@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&family=Zen+Kaku+Gothic+Antique&display=swap');

@layer utilities {
  .content-auto {
    content-visibility: auto;
  }

  .test1 {
    text-align: center;
    background-color: rgb(254 226 226);
}

  a,
  button {
    @apply transition-all duration-4s ease-in-out;
  }

}


:root{
  --e-global-color-red: #E06666;
  --e-global-color-green: #2EC1AC;
  --e-global-color-yellow: #E9AD71;

}

.header-icon {
  --accent: #DB8485;
  --glow: #f5e2eb44;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-bottom: 0;
}

:root {
  --wrapper-max-width: 1110px;
  --wrapper-padding-inline: 15px;
}

html {
  font-size: 15px;
}

@media only screen and (min-width: 1200px) {
  html {
    font-size: 16px;
  }
}

body {
  font-family: "Zen Kaku Gothic Antique", serif;
  font-weight: 500;
  font-size: 1rem;
  line-height: 1.2rem;
  text-rendering: optimizeLegibility;
  color: #1e1e1e;
  padding-right: 0px !important;
  /* overflow: visible !important;
   */
}

a {
  text-decoration: none;
}

ul,
ol {
  padding-left: 0;
}

button,
input,
optgroup,
select,
textarea {
  font-family: "Noto Sans JP", sans-serif;
  transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
}

a,
button {
  transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
}

textarea {
  resize: none !important;
}

.offcanvas.show:not(.hiding),
.offcanvas.showing {
  transform: none;
  opacity: 1;
}

.offcanvas {
  transition: all 0.4s ease-in-out;
  transform: none;
}

.offcanvas-backdrop {
  display: block;
}

.offcanvas.offcanvas-end {
  opacity: 0;
  transform: none;
}

.common-link {
  color: #1e1e1e;
  border: 1px solid #00000025;
  position: relative;
  padding: 12px 24px;
  border-radius: 24px;
  -webkit-border-radius: 24px;
  -moz-border-radius: 24px;
  -ms-border-radius: 24px;
  -o-border-radius: 24px;
  max-width: 200px;
  width: 100%;
  text-align: center;
}

.common-link:hover {
  opacity: 0.6;
}


.common-link span:after {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 16px;
  height: 5px;
  margin-top: -3px;
  margin-left: 10px;
  background: url(../images/icons/icon-link-arw.svg) no-repeat top center;
  background-size: 100% auto;
}

section {
  overflow: hidden;
}


.btn-primary {
  background-color: #EB8D8E;
  color: #fff;

}

.btn-primary::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 24px;
  height: 9px;
  margin-top: -6px;
  margin-right: 10px;
  background: url(../images/icons/icon-link-arw.svg) no-repeat top center;
  background-size: contain;
  filter: brightness(100);
  -webkit-filter: brightness(100);
}

.btn-primary:hover {
  background-color: #DB8485;
}

.btn-white {
  color: #000;
  background-color: #fff;
}

.btn-white:hover {
  opacity: 0.8;
}

.btn-outline {
  border: 1px solid #1d66ac !important;
  background: white;
  color: #1d66ac;

  &:hover {
    opacity: 0.7;
  }
}

.btn-proj--md {
  padding: 12px 20px;
}


.btn-outline::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 24px;
  height: 9px;
  margin-top: -6px;
  margin-right: 10px;
  background: url(../images/icons/icon-link-arw.svg) no-repeat top center;
  background-size: contain;
  filter: brightness(0) saturate(100%) invert(37%) sepia(92%) saturate(714%) hue-rotate(177deg) brightness(75%) contrast(95%);
}


.proj-btn {
  font-weight: 500;
  padding: 15px 20px;
  line-height: 1.4;
  border-radius: 0;
  transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  -ms-border-radius: 0;
  -o-border-radius: 0;
}

.proj-btn.proj-btn--white {
  color: #ffffff;
  background-color: transparent;
  border: 1px solid #ffffff;
}

.proj-header--scroll {
  background-color: #fff;
  backdrop-filter: blur(6px);
  box-shadow: 0 4px 24px #00000014;
}

.proj-header--scroll .nav-home {
  color: #333333;
}

.proj-header--scroll a::before {
  display: none;
}


.proj-header--scroll .home-cta {
  color: #ffffff;
  border-color: white;
  background-color: transparent;
}

.proj-header--scroll .home-cta:hover {
  color: #3e3e3e;
  border-color: #8e3330;
  background-color: #8e3330;
}

.container-proj {
  width: 100%;
  max-width: var(--wrapper-max-width);
  margin-inline: auto;
  padding-inline: var(--wrapper-padding-inline);
}

.text28 {
  font-size: 1.75rem;
  line-height: 2.2rem;
}

.text24 {
  font-size: 1.5rem;
  line-height: 2rem;
}

.text18 {
  font-size: 1.125rem;
  line-height: 30px;
}

.text17 {
  font-size: 1.063rem;
  line-height: 1.75rem;
}

.text20 {
  font-size: 1.25rem;
  line-height: 38px;
}

.text15 {
  font-size: 0.938rem;
  line-height: 32px;
}

.text14 {
  font-size: 0.875rem;
  line-height: 28px;
}

.text13 {
  font-size: 0.813rem;
  line-height: 24px;
}

.text12 {
  font-size: 0.75rem;
  line-height: 1;
}

.text-vertical {
  writing-mode: vertical-rl;
  -ms-writing-mode: vertical-rl;
  -webkit-writing-mode: vertical-rl;
  text-orientation: upright;
  -webkit-text-orientation: upright;
}


.form-select,
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  text-indent: 1px;
}

.form-select {
  background-repeat: no-repeat;
  background-position: right 20px center;
  background-size: 20px;
  background-image: url("../images/icons/icon-dropown.svg");
}

.form-control,
.form-select {
  transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
}

.form-control.form-control--custom,
.form-select.form-select--custom {
  border-radius: 0;
  border-style: solid;
  border-width: 0px 0px 1px 0px;
  border-color: var(--e-global-color-divider);
  background-color: transparent;
  padding: 12px 0px 12px 0px;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  -ms-border-radius: 0;
  -o-border-radius: 0;
}

.form-control.form-control--custom:hover,
.form-select.form-select--custom:hover {
  color: var(--e-global-color-primary);
}

.form-control.form-control--custom::placeholder,
.form-select.form-select--custom::placeholder {
  color: #5e5e5e;
}

.form-control.form-control--custom:focus,
.form-select.form-select--custom:focus {
  box-shadow: none;
  border-width: 0px 0px 1px 0px !important;
  border-color: transparent !important;
  border-bottom: 1px solid var(--e-global-color-accent) !important;
}

.form-control:focus,
.form-select:focus {
  box-shadow: 0 0 0 .25rem #F5F9FC;
  border: 1px solid var(--e-global-color-primary100) !important;
}

.form-control.form-control--bg,
.form-select.form-select--bg {
  background-color: #faf9f9;
  border: 1px solid #faf9f9;
  padding: 0.625rem 1rem;
  width: 100%;
}

.form-control.form-control--bg:hover,
.form-select.form-select--bg:hover {
  border-color: #EB8D8E;
}

.form-group:not(:last-of-type) {
  margin-bottom: 1.5rem;
}

.form-control.form-control--bg:focus {
  box-shadow: 0 0 0 .25rem #a0b8ac1f;
  background-color: white;
}

.form-control.form-control--bg::placeholder {
  color: #7a7a7a;
}

.form-control.form-control--bg {
  color: #3a3a3a;
}

.form-control.form-control--custom-outline,
.form-select.form-select--custom-outline {
  border-radius: 0px;
  border: 1px solid #a8a8a8;
  background-color: #fff;
  padding: 8px 24px;
  padding-left: 50px;
  -webkit-border-radius: 0px;
  -moz-border-radius: 0px;
  -ms-border-radius: 0px;
  -o-border-radius: 0px;
}

.form-group input {
  padding: 0;
  height: initial;
  width: initial;
  margin-bottom: 0;
  cursor: pointer;
}

.form-group label {
  margin-bottom: 12px;
  color: #4a4a4a;
}

.form-group label span {
  color: #E06666;
  margin-left: 2px;
}

.form-group label.checkbox {
  position: relative;
  cursor: pointer;
}

.form-group label.checkbox:before {
  content: '';
  -webkit-appearance: none;
  background-color: transparent;
  border: 2px solid #9c9c9c;
  padding: 7px;
  display: inline-block;
  position: relative;
  vertical-align: middle;
  cursor: pointer;
  margin-right: 8px;
  transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  position: relative;
  top: -1px;
}

/* form input checked */
.form-group input:checked+label:before {
  border: 2px solid #1D66AC;
  transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
}

.form-group input:checked+label:after {
  content: '';
  display: block;
  position: absolute;
  top: 7px;
  left: 6px;
  width: 6px;
  height: 10px;
  border: solid #1D66AC;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
  transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
}

iframe {
  filter: grayscale(0.8) !important;
  transition: all 0.4s ease-in-out;
  -webkit-filter: grayscale(0.8) !important;
}


.common-shape-vertical {
  max-width: 64px;
  width: 100%;
}

.common-shape-horizontal {
  max-width: 180px;
}

@media only screen and (min-width: 1200px) {
  .common-shape-horizontal {
    max-width: 300px;
  }
}

@media only screen and (min-width: 1200px) {
  .common-shape-vertical {
    max-width: 85px;
  }
}

/* slider */
/* .proj-review .slick-track {
  gap: 24px;
}

.proj-review .slick-track {
  display: flex !important;
}

.proj-review .slick-track .slick-slide {
  display: flex !important;
  height: auto;
  transition: all 0.4s ease-in-out;
 
}


.proj-review .slick-slide>div {
  width: 100%;
} */

.filter-red {
  filter: brightness(0) saturate(100%) invert(19%) sepia(77%) saturate(1199%) hue-rotate(335deg) brightness(102%) contrast(81%);
}

.shop-info-slider .slick-dots {
  bottom: 20px;
  width: max-content;
  right: 40px;
}


.shop-info-slider .slick-dots li button {
  background-color: white;
  width: 8px;
  height: 8px;
  padding: 0px;
}

.shop-info-slider .slick-dots li button::before {
  display: none;
}

.shop-info-slider .slick-dots li.slick-active button {
  background-color: #8A6F48;
}

.shop-info-slider .slick-dots li {
  width: 0;
  height: 0;
  margin: 0 10px;
}

.icon-theme {
  filter: brightness(0) saturate(100%) invert(65%) sepia(34%) saturate(1379%) hue-rotate(308deg) brightness(115%) contrast(84%);
}

.icon-theme-gray {
  filter: brightness(0) saturate(100%) invert(65%) sepia(34%) saturate(1379%) hue-rotate(308deg) brightness(115%) contrast(84%);

}

.img-shadow {
  -webkit-filter: drop-shadow(0px 0px 6px rgba(0, 0, 0, .4));
  filter: drop-shadow(0px 0px 6px rgba(0, 0, 0, .4));
}

/* .banner-slider {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.4s ease;
  -webkit-transition: opacity 0.4s ease;
  -moz-transition: opacity 0.4s ease;
  -ms-transition: opacity 0.4s ease;
  -o-transition: opacity 0.4s ease;
}

.banner-slider.slick-initialized {
  visibility: visible;
  opacity: 1;
} */


.banner-slider {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease;
  -webkit-transition: opacity 0.3s ease;
  -moz-transition: opacity 0.3s ease;
  -ms-transition: opacity 0.3s ease;
  -o-transition: opacity 0.3s ease;
}

.banner-slider.slick-initialized {
  visibility: visible;
  opacity: 1;
}

/* header-icon  */
.header-icon {
  color: #5a5a5a;
  font-size: 24px;
  border-radius: 0;
  cursor: pointer;
  width: 48px;
  min-width: 48px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  -ms-border-radius: 0;
  -o-border-radius: 0;
}

.header-icon:hover {
  color: var(--accent);
}

.header-icon:hover {
  box-shadow: 0 0 60px 60px var(--glow);
}

.header-icon:active {
  transform: scale(90%);
}

/* card */

/* img-card */
.img-card {
  position: relative;
  box-shadow: 2px 24px 24px #2D37320a;
  padding: 20px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s ease-in-out;
  border: 1px solid transparent;
  background-color: white;
}

.img-card::after {
  content: '';
  display: block;
  padding-bottom: 240px;
}

.img-card.img-card--nopadding {
  padding: 0;
}

@media only screen and (min-width: 480px) {
  .img-card::after {
    padding-bottom: 115%;
  }
}

@media only screen and (min-width: 768px) {
  .img-card::after {
    padding-bottom: 134%;
  }
}

@media only screen and (min-width: 480px) {
  .img-card--lg::after {
    padding-bottom: 115%;
  }
}

.img-card--sm::after {
  padding-bottom: 90%;
}

.img-card img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 92%;
  height: 92%;
  object-fit: cover;
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
}

.img-card.img-card.img-card--nopadding img {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  transform: translate(0%, 0%);
  -webkit-transform: translate(0%, 0%);
  -moz-transform: translate(0%, 0%);
  -ms-transform: translate(0%, 0%);
  -o-transform: translate(0%, 0%);
}

.img-card-wrap .title {
  transition: all 0.3s ease-in-out;
  color: #4a4a4a;
  font-family: 'Comfortaa', serif;
  font-size: 1.125rem;
  line-height: 1.5rem;
  letter-spacing: 0;
}

.img-card-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
}

.img-card-wrap:hover .img-card {
  border: 1px solid var(--e-global-color-primary);
}

.img-card-wrap.img-card-wrap--nopadding:hover .img-card {
  border-color: transparent !important;
}

.img-card-wrap:hover .title {
  color: var(--e-global-color-primary100);
}


/* img-card-details */
.img-card-details {
  display: block;
  background-color: #fff;
  padding: 8px;
  padding-bottom: 0;
  transition: all 0.3s ease-in-out;
  border: 1px solid transparent;
}
.img-card-details--withborder {
  border: 1px solid #fbfbfb;
  box-shadow: 4px 24px 42px #7a7a7a0d;
}

.img-card-details:hover {
  border: 1px solid #EB8D8E;
}

.img-card-details__img {
  position: relative;
  width: 100%;
}

.img-card-details__img::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #43524A0A;
  z-index: 10;
}

.img-card-details__img::after {
  content: '';
  display: block;
  padding-bottom: 100%;
}

.img-card-details img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media only screen and (min-width: 480px) {
  .img-card-details__img::after {
    padding-bottom: 120%;
  }
}

.img-card-details__content {
  padding: 12px 8px 20px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.img-card-details__title {
  font-size: 1.25rem;
  line-height: 1.5rem;
  color: #3a3a3a;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  overflow: hidden;
}

.img-card-details__price {
  display: block;
  font-size: 0.938rem;
  line-height: 1.5rem;
  color: #DB8485;
  font-weight: bold;
  font-size: 1.125rem;
  line-height: 1.5rem;
  letter-spacing: 2px;
}

.product-label {
  position: absolute;
  top: 14px;
  left: 14px;
  width: 48px;
  height: 48px;
  border-radius: 100%;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  -ms-border-radius: 100%;
  -o-border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1rem;
  line-height: 150%;
  color: #FFF;
  z-index: 10;
}

.product-label--trending {
  background-color: var(--e-global-color-red);
}

.product-label--new {
  background-color: var(--e-global-color-green);
}

.product-label--discount {
  background-color: var(--e-global-color-yellow);
}

.slick-dots {
  bottom: -40px;
}

.slick-dots li button {
  width: 9px;
  height: 9px;
  background-color: #EB8D8E09;
  border-radius: 100%;
}

.slick-dots li {
  width: 9px;
  height: 9px;
  border-radius: 100%;
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  -ms-border-radius: 100%;
  -o-border-radius: 100%;
}

.slick-dots li button:before {
  font-size: 9px;
  line-height: 9px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 9px;
  height: 9px;
  border-radius: 100%;
  content: '';
  color: #EB8D8E40;
  background-color: #EB8D8E40;
}

.slick-dots li.slick-active button {
  width: 22px;
}

.slick-dots li.slick-active button::before {
  color: #EB8D8E;
  background-color: #EB8D8E;
  width: 22px;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
}

.slick-dots li.slick-active {
  width: 22px;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
}



/* .slick-dots li.slick-active, .slick-dots li.slick-active button {
  width: 22px;
} */

/* .slick-dots li button:before {
  content: none;
} */

.slick-track {
  gap: 24px;
}
.product-gallery--gap0 .slick-track{
  gap:0;
}
.slick-track {
  display: flex !important;
}

.slick-track .slick-slide {
  display: flex !important;
  height: auto;
  transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  -ms-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
}


.slick-slide>div {
  width: 100%;
}

/* select */
.input-select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  font-family: var(--e-global-englishfont);
  padding: 6px 20px 6px;
  font-size: 15px;
  line-height: 24px;
  background-color: #fff;
  color: var(--e-global-color-black);
  border: 1px solid #7a7a7a85;
  background-image: url('../images/icons/icon-arrow-down.svg');
  background-size: 24px;
  background-position: right 16px center;
  background-repeat: no-repeat;
  width: 160px;
}

.input-select:focus {
  border-color: var(--e-global-color-primary100);

}

.input-select-wrapper {
  display: inline-block;
  position: relative;
}
